Pause accounts affected by a deliverability recommendation
curl --request POST \
--url https://api.instantly.ai/api/v2/ai-agents/deliverability/feed-items/{id}/pause-affected-accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/ai-agents/deliverability/feed-items/{id}/pause-affected-accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/ai-agents/deliverability/feed-items/{id}/pause-affected-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.post("https://api.instantly.ai/api/v2/ai-agents/deliverability/feed-items/{id}/pause-affected-accounts")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/ai-agents/deliverability/feed-items/{id}/pause-affected-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/ai-agents/deliverability/feed-items/{id}/pause-affected-accounts"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"item": {
"id": "01a08b36-b22a-7668-82c5-015f6fcdbebb",
"organization_id": "01a08b36-b22a-7668-82c5-015f6fcdbebb",
"agent_id": "01a08b36-b22a-7668-82c5-015f6fcdbebb",
"feed_code": "workspace_settings_recommendation",
"kind": "recommendation",
"status": "todo",
"severity": "warning",
"priority": 100,
"payload": {},
"dedupe_key": "workspace_settings_recommendation:workspace:01956fbd-0eb1-72db-a565-82977a586084",
"timestamp_created": "2026-09-10T12:06:52.714Z",
"timestamp_updated": "2026-09-10T12:06:52.714Z",
"source_activity_id": "campaign",
"subject_type": "campaign",
"subject_id": "campaign",
"subject_name": "campaign",
"result_payload": {},
"action_code": "campaign",
"action_status": "campaign",
"action_payload": {},
"completed_at": "2026-09-10T12:06:52.714Z",
"dismissed_at": "2026-09-10T12:06:52.714Z",
"expires_at": "2026-09-10T12:06:52.714Z"
},
"affected_account_count": 2,
"affected_domain_count": 1,
"paused_account_count": 2,
"paused_provider_counts": {
"custom_imap_smtp": 1,
"google": 1,
"microsoft": 1,
"airmail": 1,
"other": 1
},
"paused_managed_account_count": 0,
"paused_self_managed_account_count": 2
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Deliverability Agent feed item is not an account recommendation"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 409,
"error": "Conflict",
"message": "Deliverability Agent feed item is not pending"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}AI Deliverability Agent
Pause accounts affected by a deliverability recommendation
Pause active email accounts currently affected by the default agent’s DNS-health or blocklist recommendation. The recommendation is revalidated before account statuses are changed. Calling this endpoint for an already completed feed item is idempotent.
Requires all of the following scope groups:
- One of
ai_agents:update,ai_agents:all,all:update,all:all - One of
accounts:update,accounts:all,all:update,all:all
POST
/
api
/
v2
/
ai-agents
/
deliverability
/
feed-items
/
{id}
/
pause-affected-accounts
Pause accounts affected by a deliverability recommendation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Deliverability Agent feed item ID. Retrieve feed items from GET /api/v2/ai-agents/deliverability/{id}/feed-items, using the agent ID returned by GET /api/v2/ai-agents/deliverability.
Example:
"01a08b36-b22a-7668-82c5-015f6fcdbebb"
Response
Default Response
Show child attributes
Show child attributes
Example:
2
Example:
1
Example:
2
Show child attributes
Show child attributes
Example:
0
Example:
2